function xy = inter(xy1,xy2)
% Find intersection of two lines defined by two points in 2D each.

eps = 1e-10;

xy1(1,1) = xy1(1,1) + eps;
xy2(1,1) = xy2(1,1) + eps;

ab1 = [xy1(:,1) ones(size(xy1,1),1)] \ xy1(:,2);
ab2 = [xy2(:,1) ones(size(xy2,1),1)] \ xy2(:,2);

xy = [];
if ab1(1) ~= ab2(1),
    x = (ab2(2) - ab1(2)) / (ab1(1) - ab2(1));
    if (x >= min(xy1(:,1)) & x <= max(xy1(:,1))) & (x >= min(xy2(:,1)) & x <= max(xy2(:,1))),
        xy = [x [x 1]*ab1];
    end;    
end;
